summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov <ppetrov@paju.oulu.fi>2013-01-13 11:16:51 +0100
committer dsomero <xgizzmo@slackbuilds.org>2013-01-20 09:03:02 -0500
commit906fb4874df40c307db9e8d7227af05e102f8a16 (patch)
tree52476baa80f6382ad18d3dd825d71355456c9baa /academic
parent191857cec786b4ff66e46f5c9aa7821acbe9dc92 (diff)
downloadslackbuilds-906fb4874df40c307db9e8d7227af05e102f8a16.tar.gz
slackbuilds-906fb4874df40c307db9e8d7227af05e102f8a16.tar.xz
academic/mrbayes: Added (Bayesian Inference of Phylogeny).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/mrbayes/README9
-rw-r--r--academic/mrbayes/References9
-rw-r--r--academic/mrbayes/mrbayes.SlackBuild104
-rw-r--r--academic/mrbayes/mrbayes.info10
-rw-r--r--academic/mrbayes/slack-desc19
5 files changed, 151 insertions, 0 deletions
diff --git a/academic/mrbayes/README b/academic/mrbayes/README
new file mode 100644
index 0000000000..4787afa0d5
--- /dev/null
+++ b/academic/mrbayes/README
@@ -0,0 +1,9 @@
+MrBayes: Bayesian Inference of Phylogeny
+
+MrBayes is a program for Bayesian inference and model choice across a
+wide range of phylogenetic and evolutionary models. MrBayes uses
+Markov chain Monte Carlo (MCMC) methods to estimate the posterior
+distribution of model parameters.
+
+For citing information, check the program's web site, the pdf manual
+and the References file in /usr/doc/mrbayes-*.
diff --git a/academic/mrbayes/References b/academic/mrbayes/References
new file mode 100644
index 0000000000..dab69ad94d
--- /dev/null
+++ b/academic/mrbayes/References
@@ -0,0 +1,9 @@
+Excerp from the Manual_MrBayes_v3.2.0_draft.pdf
+
+1.8 Citing the Program
+If you wish to cite the program, you can simply refer to the most
+recent release note (Ronquist et al., 2011). This manual should be
+cited as an online publication. For more tips on citations, you can
+run the citations command in the program, which will give you a
+number of other relevant citations for the program and its models
+and algorithms.
diff --git a/academic/mrbayes/mrbayes.SlackBuild b/academic/mrbayes/mrbayes.SlackBuild
new file mode 100644
index 0000000000..b0b8fd12a3
--- /dev/null
+++ b/academic/mrbayes/mrbayes.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for mrbayes
+
+# Copyright 2013 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mrbayes
+VERSION=${VERSION:-3.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}_${VERSION}
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd ${PRGNAM}_${VERSION}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd src
+autoconf
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-beagle=no \
+ --build=$ARCH-slackware-linux
+
+make
+install -D -m755 mb $PKG/usr/bin/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ gpl.txt ../documentation/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/mrbayes/mrbayes.info b/academic/mrbayes/mrbayes.info
new file mode 100644
index 0000000000..6344a43015
--- /dev/null
+++ b/academic/mrbayes/mrbayes.info
@@ -0,0 +1,10 @@
+PRGNAM="mrbayes"
+VERSION="3.2.1"
+HOMEPAGE="http://mrbayes.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/mrbayes/mrbayes-3.2.1.tar.gz"
+MD5SUM="477c9f39126db360f92c5b6a7c9cca95"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
diff --git a/academic/mrbayes/slack-desc b/academic/mrbayes/slack-desc
new file mode 100644
index 0000000000..df8f35aaf0
--- /dev/null
+++ b/academic/mrbayes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mrbayes: mrbayes (MrBayes: Bayesian Inference of Phylogeny)
+mrbayes:
+mrbayes: MrBayes is a program for Bayesian inference and model choice
+mrbayes: across a wide range of phylogenetic and evolutionary models.
+mrbayes: MrBayes uses Markov chain Monte Carlo (MCMC) methods to
+mrbayes: estimate the posterior distribution of model parameters.
+mrbayes:
+mrbayes: Home: http://mrbayes.sourceforge.net/
+mrbayes: References: /usr/doc/mrbayes-$VERSION/References
+mrbayes:
+mrbayes: